Runs API
Get run status
Quick status check for a run. Useful for polling in CI/CD pipelines.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
runId*stringRun ID
Format
uuidRun status
application/json- response
runId?stringFormat
uuidjobId?stringFormat
uuidstatus?stringValue in
"queued""running""passed""failed""error""blocked"startedAt?stringFormat
date-timecompletedAt?stringFormat
date-timedurationMs?integerDuration in milliseconds
errorDetails?stringreportUrl?stringURL to the detailed run report
curl -X GET 'https://demo.supercheck.dev/api/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/status'Example Response
{ "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39", "status": "queued", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "durationMs": 0, "errorDetails": "string", "reportUrl": "string"}